Package org.pushingpixels.substance.internal.ui

# Class SubstanceToolTipUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.ToolTipUI
javax.swing.plaf.basic.BasicToolTipUI
org.pushingpixels.substance.internal.ui.SubstanceToolTipUI

public class SubstanceToolTipUI extends BasicToolTipUI
UI for tool tips in Substance look and feel.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceToolTipUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
Creates a UI delegate for the specified component.
`Dimension`
`getPreferredSize(JComponent c)`
`void`
`paint(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.basic.BasicToolTipUI

`getMaximumSize, getMinimumSize, installDefaults, installListeners, installUI, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceToolTipUI

public SubstanceToolTipUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)
Creates a UI delegate for the specified component.

Parameters:
  `comp` - Component.
Returns:
  UI delegate.

### paint

public void paint(Graphics g, JComponent c)

Overrides:
  `paint` in class `BasicToolTipUI`

### getPreferredSize

public Dimension getPreferredSize(JComponent c)

Overrides:
  `getPreferredSize` in class `BasicToolTipUI`